petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFDColoringView

Views a finite difference coloring context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringView(MatFDColoring c,PetscViewer viewer)

Collective on MatFDColoring Many br

### Input Parameters

| c | - the coloring context Many br
| viewer | - visualization context Many br

Many br

### Notes

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br
| PETSC_VIEWER_DRAW_WORLD | - graphical display of nonzero structure Many br

### Notes

Since PETSc uses only a small number of basic colors (currently 33), if the coloring Many brinvolves more than 33 then some seemingly identical colors are displayed making it look Many brlike an illegal coloring. This is just a graphical artifact. Many br

### See Also

MatFDColoringCreate()

### Keywords

Mat, finite differences, coloring, view

Level:intermediate
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html